CO_SRDOCommPar_t Struct Reference
CANopen_304 » SRDO

SRDO communication parameter. More...

`#include <CO_SRDO.h>`

## Data Fields

uint8_t | maxSubIndex
| Equal to 6.
uint8_t | informationDirection
| Direction of the SRDO. More...
uint16_t | safetyCycleTime
| Refresh-time / SCT. More...
uint8_t | safetyRelatedValidationTime
| SRVT. More...
uint8_t | transmissionType
| Transmission type. More...
uint32_t | COB_ID1_normal
| Communication object identifier for message received. More...
uint32_t | COB_ID2_inverted
| Communication object identifier for message received. More...

## Detailed Description

SRDO communication parameter.

The same as record from Object dictionary (index 0x1301-0x1340).

## Field Documentation

## informationDirection

uint8_t CO_SRDOCommPar_t::informationDirection

Direction of the SRDO.

Values:

- 0: SRDO is invalid (deleted)
- 1: SRDO is transmiting data
- 2: SRDO is receive data

## safetyCycleTime

uint16_t CO_SRDOCommPar_t::safetyCycleTime

Refresh-time / SCT.

- in tx mode (Refresh-time): transmission interval
- in rx mode (SCT): receive timeout between two SRDO

## safetyRelatedValidationTime

uint8_t CO_SRDOCommPar_t::safetyRelatedValidationTime

SRVT.

- in tx mode: unsed
- in rx mode: receive timeout between first and second SRDO message

## transmissionType

uint8_t CO_SRDOCommPar_t::transmissionType

Transmission type.

Values:

- 254: Manufacturer specific.

## COB_ID1_normal

uint32_t CO_SRDOCommPar_t::COB_ID1_normal

Communication object identifier for message received.

Meaning of the specific bits:

- Bit 0-10: COB-ID for SRDO
- Bit 11-31: set to 0 for 11 bit COB-ID.

## COB_ID2_inverted

uint32_t CO_SRDOCommPar_t::COB_ID2_inverted

Communication object identifier for message received.

Meaning of the specific bits:

- Bit 0-10: COB-ID for SRDO
- Bit 11-31: set to 0 for 11 bit COB-ID.

The documentation for this struct was generated from the following file:

- 304/CO_SRDO.h